Package org.apache.struts2.views.jsp.ui

# Class UpDownSelectTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
org.apache.struts2.views.jsp.StrutsBodyTagSupport
org.apache.struts2.views.jsp.ComponentTagSupport
org.apache.struts2.views.jsp.ui.AbstractUITag
org.apache.struts2.views.jsp.ui.AbstractListTag
org.apache.struts2.views.jsp.ui.AbstractRequiredListTag
org.apache.struts2.views.jsp.ui.SelectTag
org.apache.struts2.views.jsp.ui.UpDownSelectTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.BodyTag`, `jakarta.servlet.jsp.tagext.DynamicAttributes`, `jakarta.servlet.jsp.tagext.IterationTag`, `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.Tag`, `Serializable`

public class UpDownSelectTag extends SelectTag

See Also:
  - `UpDownSelect`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `allowMoveDown`
  `protected String`
  `allowMoveUp`
  `protected String`
  `allowSelectAll`
  `protected String`
  `moveDownLabel`
  `protected String`
  `moveUpLabel`
  `protected String`
  `selectAllLabel`

  ### Fields inherited from class org.apache.struts2.views.jsp.ui.SelectTag

  `emptyOption, headerKey, headerValue, multiple, size`

  ### Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag

  `list, listCssClass, listCssStyle, listKey, listLabelKey, listTitle, listValue, listValueKey`

  ### Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag

  `accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, requiredLabel, requiredPosition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

  ### Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

  `component`

  ### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

  `bodyContent`

  ### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

  `pageContext`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

  `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpDownSelectTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `clearTagStateForTagPoolingServers()`
  Provide a mechanism to clear tag state, to handle servlet container JSP tag pooling behaviour with some servers, such as Glassfish.
  `String`
  `getAllowMoveDown()`
  `String`
  `getAllowMoveUp()`
  `String`
  `getAllowSelectAll()`
  `Component`
  `getBean(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
  `String`
  `getMoveDownLabel()`
  `String`
  `getMoveUpLabel()`
  `String`
  `getSelectAllLabel()`
  `protected void`
  `populateParams()`
  Define method to populate component state based on the Tag attributes.
  `void`
  `setAllowMoveDown(String allowMoveDown)`
  `void`
  `setAllowMoveUp(String allowMoveUp)`
  `void`
  `setAllowSelectAll(String allowSelectAll)`
  `void`
  `setMoveDownLabel(String moveDownLabel)`
  `void`
  `setMoveUpLabel(String moveUpLabel)`
  `void`
  `setPerformClearTagStateForTagPoolingServers(boolean performClearTagStateForTagPoolingServers)`
  Must declare the setter at the descendant Tag class level in order for the tag handler to locate the method.
  `void`
  `setSelectAllLabel(String selectAllLabel)`

  ### Methods inherited from class org.apache.struts2.views.jsp.ui.SelectTag

  `setEmptyOption, setHeaderKey, setHeaderValue, setMultiple, setSize`

  ### Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag

  `setList, setListCssClass, setListCssStyle, setListKey, setListLabelKey, setListTitle, setListValue, setListValueKey`

  ### Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag

  `setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDisabled, setDynamicAttribute, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelPosition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

  ### Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

  `doEndTag, doStartTag, getComponent, populatePerformClearTagStateForTagPoolingServersParam`

  ### Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport

  `findString, findValue, findValue, getBody, getPerformClearTagStateForTagPoolingServers, getStack, release, toString`

  ### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

  `doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

  ### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

  `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

  `getParent, setPageContext, setParent`

- ## Field Details

  - ### allowMoveUp

    protected String allowMoveUp

  - ### allowMoveDown

    protected String allowMoveDown

  - ### allowSelectAll

    protected String allowSelectAll

  - ### moveUpLabel

    protected String moveUpLabel

  - ### moveDownLabel

    protected String moveDownLabel

  - ### selectAllLabel

    protected String selectAllLabel

- ## Constructor Details

  - ### UpDownSelectTag

    public UpDownSelectTag()

- ## Method Details

  - ### getBean

    public Component getBean(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)
    Overrides:
      `getBean` in class `SelectTag`

  - ### populateParams

    protected void populateParams()
    Description copied from class: `ComponentTagSupport`
    Define method to populate component state based on the Tag attributes. Descendants should override this method for custom behaviour, but should always call the ancestor method when doing so.
    Overrides:
      `populateParams` in class `SelectTag`

  - ### getAllowMoveUp

    public String getAllowMoveUp()

  - ### setAllowMoveUp

    public void setAllowMoveUp(String allowMoveUp)

  - ### getAllowMoveDown

    public String getAllowMoveDown()

  - ### setAllowMoveDown

    public void setAllowMoveDown(String allowMoveDown)

  - ### getAllowSelectAll

    public String getAllowSelectAll()

  - ### setAllowSelectAll

    public void setAllowSelectAll(String allowSelectAll)

  - ### getMoveUpLabel

    public String getMoveUpLabel()

  - ### setMoveUpLabel

    public void setMoveUpLabel(String moveUpLabel)

  - ### getMoveDownLabel

    public String getMoveDownLabel()

  - ### setMoveDownLabel

    public void setMoveDownLabel(String moveDownLabel)

  - ### getSelectAllLabel

    public String getSelectAllLabel()

  - ### setSelectAllLabel

    public void setSelectAllLabel(String selectAllLabel)

  - ### setPerformClearTagStateForTagPoolingServers

    public void setPerformClearTagStateForTagPoolingServers(boolean performClearTagStateForTagPoolingServers)
    Must declare the setter at the descendant Tag class level in order for the tag handler to locate the method.
    Overrides:
      `setPerformClearTagStateForTagPoolingServers` in class `SelectTag`
    Parameters:
      `performClearTagStateForTagPoolingServers` - true if tag state should be cleared, false otherwise.

  - ### clearTagStateForTagPoolingServers

    protected void clearTagStateForTagPoolingServers()
    Description copied from class: `StrutsBodyTagSupport`
    Provide a mechanism to clear tag state, to handle servlet container JSP tag pooling behaviour with some servers, such as Glassfish.

    Usage: Override this method in descendant classes to clear any state that might cause issues should the servlet container re-use a cached instance of the tag object. If the descendant class does not declare any new field members then it should not be strictly necessary to call this method there. Typically that means calling the ancestor's `ComponentTagSupport.clearTagStateForTagPoolingServers()` method first, then resetting instance variables at the current level to their default state.

    Note: If the descendant overrides `StrutsBodyTagSupport.doEndTag()`, and does not call super.doEndTag(), then the descendant should call this method in the descendant doEndTag() method to ensure consistent clearing of tag state.

    Overrides:
      `clearTagStateForTagPoolingServers` in class `SelectTag`